<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    app:startDestination="@id/overviewFragment">
    <fragment
        android:id="@+id/overviewFragment"
        android:name="fi.vimai.client.example.ui.OverviewFragment"
        android:label="{title}"
        tools:layout="@layout/overview_fragment" >
        <action
            android:id="@+id/action_overviewFragment_to_navigationFragment"
            app:destination="@id/navigationFragment" />
        <action
            android:id="@+id/action_overviewFragment_to_buildingsFragment"
            app:destination="@id/buildingsFragment" />
        <argument
            android:name="building"
            app:argType="fi.vimai.navigation.server.entities.Building"
            android:defaultValue="@null"/>
        <argument
            android:name="title"
            app:argType="string"
            android:defaultValue="VimAI Navigation"/>
    </fragment>
    <fragment
        android:id="@+id/navigationFragment"
        android:name="fi.vimai.client.example.ui.NavigationFragment"
        android:label="{title}">
        <argument
            android:name="title"
            app:argType="string"
            android:defaultValue="VimAI Navigation" />
    </fragment>
    <fragment
        android:id="@+id/buildingsFragment"
        android:name="fi.vimai.client.example.ui.BuildingsFragment"
        android:label="@string/fragment_buildings_title"
        tools:layout="@layout/fragment_buildings" >
        <action
            android:id="@+id/action_buildingsFragment_to_overviewFragment"
            app:destination="@id/overviewFragment"
            app:launchSingleTop="false"
            app:popUpTo="@+id/overviewFragment"
            app:popUpToInclusive="true" />
    </fragment>
</navigation>